Login  •  Register


The time is now: Wed May 27, 2020 5:11 am

Emaculation wiki  •  Delete all board cookies



Post new topic  Reply to topic Page 1 of 1 [ 11 posts ]
Print view Previous topic  |  Next topic
Author Message
PostPosted: Mon May 30, 2016 6:31 am 
Offline
Space Cadet

Joined: Mon May 30, 2016 6:25 am
Posts: 3
Hello,
I had to use time to time SheepShaver with a very old piece of software.
Since at least OS X version 10.11.5 then 10.11.6 (beta), SheepShaver crash almost immediacy after launch. I went to the console and in the message it at least appears that there are some outdated Carbon elements for Audio subsystem.

SheepShaver[1036]: 13:14:20.260 WARNING: 140: This application, or a library it uses, is using the deprecated Carbon Component Manager for hosting Audio Units. Support for this will be removed in a future release. Also, this makes the host incompatible with version 3 audio units. Please transition to the API's in AudioComponent.h.

Here is all the entries from the console:

30/05/2016 13:14:20,076 SheepShaver[1036]: WARNING: The Gestalt selector gestaltSystemVersion is returning 10.9.6 instead of 10.11.6. This is not a bug in Gestalt -- it is a documented limitation. Use NSProcessInfo's operatingSystemVersion property to get correct system version number.
Call location:
30/05/2016 13:14:20,076 SheepShaver[1036]: 0 CarbonCore 0x9e49ce3d ___Gestalt_SystemVersion_block_invoke + 135
30/05/2016 13:14:20,076 SheepShaver[1036]: 1 libdispatch.dylib 0x908d983f _dispatch_client_callout + 50
30/05/2016 13:14:20,076 SheepShaver[1036]: 2 libdispatch.dylib 0x908d971b dispatch_once_f + 78
30/05/2016 13:14:20,077 SheepShaver[1036]: 3 libdispatch.dylib 0x908dafa5 dispatch_once + 31
30/05/2016 13:14:20,077 SheepShaver[1036]: 4 CarbonCore 0x9e4188e1 _Gestalt_SystemVersion + 1047
30/05/2016 13:14:20,077 SheepShaver[1036]: 5 CarbonCore 0x9e41808a Gestalt + 154
30/05/2016 13:14:20,077 SheepShaver[1036]: 6 SDL 0x000299ed SDL_SoftStretch + 14394
30/05/2016 13:14:20,151 coreaudiod[221]: SecTaskLoadEntitlements failed error=22
30/05/2016 13:14:20,261 SheepShaver[1036]: 13:14:20.260 WARNING: 140: This application, or a library it uses, is using the deprecated Carbon Component Manager for hosting Audio Units. Support for this will be removed in a future release. Also, this makes the host incompatible with version 3 audio units. Please transition to the API's in AudioComponent.h.
30/05/2016 13:14:58,330 launchservicesd[99]: SecTaskLoadEntitlements failed error=22
30/05/2016 13:14:58,340 launchservicesd[99]: SecTaskLoadEntitlements failed error=22
30/05/2016 13:14:58,355 SheepShaver[1038]: CPSGetCurrentProcess(): This call is deprecated and should not be called anymore.
30/05/2016 13:14:58,355 SheepShaver[1038]: set_foreground_operation_state(): This call is deprecated and should not be called anymore.
30/05/2016 13:14:58,355 launchservicesd[99]: SecTaskLoadEntitlements failed error=22
30/05/2016 13:14:58,420 appleeventsd[67]: SecTaskLoadEntitlements failed error=22

Best regards.


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Mon May 30, 2016 8:37 am 
Offline
Expert User
User avatar

Joined: Thu Feb 09, 2006 10:24 pm
Posts: 5961
Location: Amsterdam, Netherlands
SheepShaver should run fine in 10.11.5, it does here and it does with other users, don't know about 10.1.6 beta.

Which SheepShaver build do you use? Did it work before and stopped working at some point or are you setting it up for the first time in this host?

Please post here the content of your SheepShaver prefs file.
In Terminal type
Code:
open ~/.sheepshaver_prefs
followed by a return. The file will open in your default text editor.


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Sat Jun 04, 2016 2:35 am 
Offline
Space Cadet

Joined: Mon May 30, 2016 6:25 am
Posts: 3
Thank you a lot. Sorry for the delay to answer.
Yes I used Sheepshaver for many years now with only one software (to design each month the sequence of pages of the Mac computer magazine I manage in France). The problem stared with 10.11.5 and continue with the beta 10.11.6.
The version of SheepShaver is reported as 2.4.20140201

Here is the préférences :

disk diskSS.dmg
cdrom /dev/poll/cdrom
extfs /
screen win/1024/768
windowmodes 0
screenmodes 0
seriala /dev/cu.Bluetooth-Modem
serialb /dev/null
rom Mac OS ROM
bootdrive 0
bootdriver 0
ramsize 536870912
frameskip 8
gfxaccel true
nocdrom true
nonet false
nosound false
nogui false
noclipconversion false
ignoresegv false
ignoreillegal false
jit true
jit68k false
keyboardtype 5
ether
keycodes true
keycodefile keycodes
mousewheelmode 1
mousewheellines 3
dsp /dev/dsp
mixer /dev/mixer
ignoresegv false
idlewait true


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Sat Jun 04, 2016 6:40 am 
Offline
Expert User
User avatar

Joined: Fri Feb 13, 2004 8:59 am
Posts: 4886
Location: Sittard, The Netherlands
Hi,

It seems a miracle that SheepShaver has been running that long with these preferences.
Please open the preferences editor after SheepShaver started and go to the Miscellaneous tab. Check both Ignore Illegal Instructions and Ignore Illegal Memory Accesses.

If you can't get to the preferences editor, use the command line. Open a terminal and type:
open ~/.sheepshaver_prefs

Then edit the lines:
ignoresegv false (replace false with true)
ignoreillegal false (replace false with true)

and delete the one but last line (ignoresegv false). Save the file and start SheepShaver.

Best,
Cat_7


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Sat Jun 04, 2016 7:57 am 
Offline
Space Cadet

Joined: Mon May 30, 2016 6:25 am
Posts: 3
Thanks very much. I had do do it via the Terminal has SheepShaver was always crashing at startup. I don't know how it worked before, but it worked. And now it is working again ! Thank you a lot. Have a nice week-end.


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Sun Jun 19, 2016 4:40 am 
Offline
Space Cadet
User avatar

Joined: Sun Jun 19, 2016 4:33 am
Posts: 4
I've got the same issue, possibly. SheepShaver opens but then says "Application not responding" and I have to force quit. I'm on OS X 10.11.5

I believe I have an older version, the app name is "SheepShaver(H) UB 21-07-2008.app" and "SheepShaver(S) UB 21-07-2008.app". I installed version "2.4 (2014-02-01)" but that just opens and quits right away. I've seen similar behavior with apps opening and closing right away recently on my Mac that I haven't figured out the true reason behind. Typically if I run "xattr -d -r -s com.apple.quarantine /path to app" it allows me to open the app.

Here is what I have in my ~/.sheepshaver_prefs:

extfs /
windowmodes 0
screenmodes 0
serialb /dev/null
bootdrive 0
bootdriver 0
ramsize 16777216
frameskip 8
gfxaccel true
nocdrom false
nonet false
nosound false
nogui false
noclipconversion false
jit true
jit68k false
keyboardtype 5
keycodes false
mousewheelmode 1
mousewheellines 3
dsp /dev/dsp
mixer /dev/mixer
ignoresegv true
ignoreillegal true
idlewait true



Console says this when I try to open the latest version:

6/18/16 11:52:26.535 PM SheepShaver[4765]: WARNING: The Gestalt selector gestaltSystemVersion is returning 10.9.5 instead of 10.11.5. This is not a bug in Gestalt -- it is a documented limitation. Use NSProcessInfo's operatingSystemVersion property to get correct system version number.
Call location:
6/18/16 11:52:26.535 PM SheepShaver[4765]: 0 CarbonCore 0x97af2e3d ___Gestalt_SystemVersion_block_invoke + 135
6/18/16 11:52:26.535 PM SheepShaver[4765]: 1 libdispatch.dylib 0x9953f83f _dispatch_client_callout + 50
6/18/16 11:52:26.535 PM SheepShaver[4765]: 2 libdispatch.dylib 0x9953f71b dispatch_once_f + 78
6/18/16 11:52:26.535 PM SheepShaver[4765]: 3 libdispatch.dylib 0x99540fa5 dispatch_once + 31
6/18/16 11:52:26.535 PM SheepShaver[4765]: 4 CarbonCore 0x97a6e8e1 _Gestalt_SystemVersion + 1047
6/18/16 11:52:26.535 PM SheepShaver[4765]: 5 CarbonCore 0x97a6e08a Gestalt + 154
6/18/16 11:52:26.535 PM SheepShaver[4765]: 6 SDL 0x000299ed SDL_SoftStretch + 14394







Here's what I get in Console when I try to run the older version (that used to work):

6/18/16 11:54:09.963 PM launchservicesd[111]: SecTaskLoadEntitlements failed error=22
6/18/16 11:54:09.975 PM launchservicesd[111]: SecTaskLoadEntitlements failed error=22
6/18/16 11:54:09.989 PM SheepShaver[4859]: CPSGetCurrentProcess(): This call is deprecated and should not be called anymore.
6/18/16 11:54:09.989 PM SheepShaver[4859]: set_foreground_operation_state(): This call is deprecated and should not be called anymore.
6/18/16 11:54:09.989 PM launchservicesd[111]: SecTaskLoadEntitlements failed error=22
6/18/16 11:54:10.048 PM appleeventsd[72]: SecTaskLoadEntitlements failed error=22
6/18/16 11:54:10.064 PM SheepShaver[4859]: WARNING: The Gestalt selector gestaltSystemVersion is returning 10.9.5 instead of 10.11.5. This is not a bug in Gestalt -- it is a documented limitation. Use NSProcessInfo's operatingSystemVersion property to get correct system version number.
Call location:
6/18/16 11:54:10.064 PM SheepShaver[4859]: 0 CarbonCore 0x97af2e3d ___Gestalt_SystemVersion_block_invoke + 135
6/18/16 11:54:10.064 PM SheepShaver[4859]: 1 libdispatch.dylib 0x9953f83f _dispatch_client_callout + 50
6/18/16 11:54:10.064 PM SheepShaver[4859]: 2 libdispatch.dylib 0x9953f71b dispatch_once_f + 78
6/18/16 11:54:10.064 PM SheepShaver[4859]: 3 libdispatch.dylib 0x99540fa5 dispatch_once + 31
6/18/16 11:54:10.064 PM SheepShaver[4859]: 4 CarbonCore 0x97a6e8e1 _Gestalt_SystemVersion + 1047
6/18/16 11:54:10.064 PM SheepShaver[4859]: 5 CarbonCore 0x97a6e08a Gestalt + 154
6/18/16 11:54:10.064 PM SheepShaver[4859]: 6 SheepShaver 0x780b7947 catch_exception_raise + 330115
6/18/16 11:54:10.102 PM coreaudiod[258]: SecTaskLoadEntitlements failed error=22
6/18/16 11:54:10.162 PM SheepShaver[4859]: 23:54:10.161 WARNING: 140: This application, or a library it uses, is using the deprecated Carbon Component Manager for hosting Audio Units. Support for this will be removed in a future release. Also, this makes the host incompatible with version 3 audio units. Please transition to the API's in AudioComponent.h.
6/18/16 11:54:10.174 PM SheepShaver[4859]: Warning once: This application, or a library it uses, is using NSQuickDrawView, which has been deprecated. Apps should cease use of QuickDraw and move to Quartz.


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Sun Jun 19, 2016 8:08 am 
Offline
Expert User
User avatar

Joined: Thu Feb 09, 2006 10:24 pm
Posts: 5961
Location: Amsterdam, Netherlands
It seems that you did not yet set up SheepShaver, or did only a partial setup. As no ROM file is defined yet, a compatible ROM file needs to be present in the same folder with the SheepShaver application. That file needs to be named (renamed) "Mac OS ROM", without file name extension.
See our setup guide for more information: http://www.emaculation.com/doku.php/she ... os_x_setup


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Sun Jun 19, 2016 12:48 pm 
Offline
Space Cadet
User avatar

Joined: Sun Jun 19, 2016 4:33 am
Posts: 4
I'm back up and running on the latest version. I remember I had dropped the SheepShaver app on AppCleaner in trying to get it running. That had deleted my prefs file. So I moved my ROM file and dsk file into the new SheepShaver folder. I just had to then go into SheepShaverPrefs app and point it to the ROM and dsk and increase the RAM. Back in on Mac OS 8.5! Thanks Ron!


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Tue Jul 05, 2016 1:47 pm 
Offline
Inquisitive Elf

Joined: Fri Jan 23, 2009 3:40 am
Posts: 38
Location: Toronto
Clarification question: when you say SheepShaver runs fine in OS X 11.5, does that mean the Sheepshaver build listed in the sticky posting as the current one:
===============
Currently recommended SheepShaver build for Mac OS X:
01 February 2014 build For PPC and Intel Mac, OSX 10.4 (Tiger) through OSX 10.9 (Mavericks)
Runs in OSX 10.10 (Yosemite), albeit only in 32-mode.
Download: http://www.xs4all.nl/~ronaldpr/sheepsha ... 140201.zip
=================

? It doesn't mention 10.11, only 10.10. (And "only in 32-mode" means what? Do I have to do something special to run it? I did see the note about ctrl-click and "Open" to bypass Gatekeeper the first time.)

I use SheepShaver intensively for serious work, as I still work in OX 9.2.2 and use Word 4.0, HyperCard, ClarisWorks and other OS 9 applications in my daily business of writing Canadian tax law publications. Normally I (still) work on a G4 running OS 9 in native mode, but when travelling (which I do a lot), I use a laptop running Snow Leopard (10.6). The laptop is nearing the end of its life after 7 years, and so I'm looking to buy the latest MacBook Pro from an Apple Store. It will no doubt come with OS X 11.5. Can I trust that the build listed above will work on the newest laptop?

Thanks VERY much to all of you who created and have been maintaining Sheepshaver all these years. It's been a godsend for me, as I really want to keep doing my core work using the same tools, templates and records I've used for almost 30 years, as it makes me very efficient. (I do use a newer computer for Internet access, Web stuff, movies, dealing with the outside world, etc.)

David Sherman


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Tue Jul 05, 2016 3:00 pm 
Offline
Expert User
User avatar

Joined: Thu Feb 09, 2006 10:24 pm
Posts: 5961
Location: Amsterdam, Netherlands
The February 2014 build will run fine in OSX 10.11.5

Make sure settings are as instructed in our setup guide. Specifically, make sure "Ignore Illegal Memory Accesses" is enabled.

When first installed this build will run in 32-bit mode by default. It will not run if set to run in 64-bit mode in OSX 10.10 and later. As for all applications that can run in both 32- and 64-bit mode, this can be changed in Finder Info panel for the application by checking "Open in 32-bit mode". (Finder Info panel: Select the application icon and hit Command-I.)


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Tue Jul 05, 2016 3:05 pm 
Offline
Inquisitive Elf

Joined: Fri Jan 23, 2009 3:40 am
Posts: 38
Location: Toronto
Thanks very much, Ronald.


Top
 Profile  
Reply with quote Post a reply  
Display posts from previous:  Sort by  
Post new topic  Reply to topic Page 1 of 1 [ 11 posts ]


Who is online

Users browsing this forum: No registered users and 11 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
 

Search for:
Jump to:  
Powered by phpBB® Forum Software © phpBB Group